Supported target platforms for provisioning

This version of BMC Cloud Lifecycle Management supports the following platforms, all of which have been certified by BMC. For other platform versions, contact BMC Customer Support.

Supported operating systems for provisioning

OS platformSupported version

VMware
vCenter
5.x/6.x

Hyper-V
SCVMM
2012 R2

Citrix
Xen
6.x
IBM
LPAR

Physical
server
support

Red Hat Linux5.x 32-bit
YesNoNoN/ANo
5.x 64-bitYesYesNoN/ANo
6.x 32-bitYesNoNoN/ANo
6.0 64-bitYesYesYesN/AYes
6.5 64-bitYesNoNoN/ANo
7.x  64-bit (template based) with VC/ESX 5.5 update 2Yes

Only RHEL 7.1
GEN2 template

NoN/ANo
Microsoft Windows2016 64-bitYesNoNoNoNo
2008 32-bit and 64-bitYesNoNoN/ANo
2008 R2 64-bitYesYesYesN/AYes
2012 64-bit
YesYesYesN/AYes
2012 R2 64-bitYesYesYesN/AYes
IBM
AIX 6.x LPAR pSeries
N/AN/AN/AYesN/A
AIX 7.x LPAR pSeries
N/AN/AN/AYesN/A
SUSE Linux Enterprise Server11, 64-bit on VMwareYesNoNoN/AYes
Oracle Enterprise Linux (OEL)6.0 64-bit on VMware
YesNoNoN/AYes
CentOS

5.6 (This support requires that you set the OS Name in BMC Server Automation to Linux)

The following BMC Communities video describes how to provision a virtual machine that uses a non-compatible Community Enterprise Operating System (CentOS) image. This involves changing the template on the vCenter so that the operating system is recognized.

Provisioning a VM Using a Non-Compatible CentOS Image (2:38): https://youtu.be/GykEQWpMbKU

YesNoNoN/ANo
ESX5.0 N/AN/AN/AN/AYes

Note

If you have VMware vSphere Platform integrated with BMC Cloud Lifecycle Management, and you plan to migrate to VMware vCenter Server Appliance (VCSA), contact BMC Support to obtain the latest information on supported migration paths.

Switching from a Windows-based vCenter to a vCenter Server Appliance alters certain internal identifiers that disrupt the ability BMC Cloud Lifecycle Management to manage existing workloads and provision new workloads on that vCenter instance.

Supported virtualization platforms

OS platformSupported version
Citrix XenServer5.6, 6.0.2
VMware vSphere
  • VMware vSphere 4.x, 5.x (Windows only)
  • VMware vSphere 6.0 (Requires BMC Server Automation 8.7.00 Patch 2 and BMC Network Automation 8.7.00 HF#19 (000100716))




Note: VMware vCenter 6.5 is certified with BMC Server Automation 8.9.02.

VMware vCloud Director1.5, 5.1, and 5.5
VMware ESXi

5.1, 5.5, 6.0, 6.5

Note: 6.5 is valid only if you are using TrueSight Server Automation 8.9.03.

VMware ESX4.0
IBM pSeries6, 7
Microsoft Hyper-V2012, R2 System Center Virtual Machine Manager (SCVMM) 2012 R2
(See Support for Microsoft Hyper-V environments for more information.)





Supported third-party cloud platforms

OS platformSupported version
Amazon Web Services

EC2, VPC

BMC Cloud Lifecycle Management uses the Amazon Web Services Java SDK 1.10.2. See the Amazon Web Services online technical documentation for more information on using the SDKs.

OpenStackSee Supported OpenStack Components for details.
AzureMicrosoft Windows Azure Service Management REST API Version 2014-02-01

Supported storage provisioning platform

OS platformSupported version
NetApp OnCommand Unified Manager Core (previously known as NetApp DataFabric Manager)4.x, 5.x, 7.x

Related topics

Component BMC product service pack and patch levels

Was this page helpful? Yes No Submitting... Thank you

Comments